WritableSerialization (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.serializer, class: WritableSerialization

Package org.apache.hadoop.io.serializer

# Class WritableSerialization

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.io.serializer.WritableSerialization

All Implemented Interfaces:
  `Configurable`, `org.apache.hadoop.io.serializer.Serialization<Writable>`

@Public @Evolving public class WritableSerialization extends Configured implements org.apache.hadoop.io.serializer.Serialization<Writable>
A `Serialization` for `Writable`s that delegates to `Writable.write(java.io.DataOutput)` and `Writable.readFields(java.io.DataInput)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WritableSerialization()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(Class<?> c)`
  Allows clients to test whether this `Serialization` supports the given class.
  `org.apache.hadoop.io.serializer.Deserializer<Writable>`
  `getDeserializer(Class<Writable> c)`
  `org.apache.hadoop.io.serializer.Serializer<Writable>`
  `getSerializer(Class<Writable> c)`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WritableSerialization

    public WritableSerialization()

- ## Method Details

  - ### accept

    @Private public boolean accept(Class<?> c)
    Description copied from interface: `org.apache.hadoop.io.serializer.Serialization`
    Allows clients to test whether this `Serialization` supports the given class.
    Specified by:
      `accept` in interface `org.apache.hadoop.io.serializer.Serialization<Writable>`
    Parameters:
      `c` - class.
    Returns:
      if accept true,not false.

  - ### getSerializer

    @Private public org.apache.hadoop.io.serializer.Serializer<Writable> getSerializer(Class<Writable> c)
    Specified by:
      `getSerializer` in interface `org.apache.hadoop.io.serializer.Serialization<Writable>`
    Parameters:
      `c` - class.
    Returns:
      a `Serializer` for the given class.

  - ### getDeserializer

    @Private public org.apache.hadoop.io.serializer.Deserializer<Writable> getDeserializer(Class<Writable> c)
    Specified by:
      `getDeserializer` in interface `org.apache.hadoop.io.serializer.Serialization<Writable>`
    Parameters:
      `c` - class.
    Returns:
      a `Deserializer` for the given class.